<?php
/**
* @author   Vasatko
* @version  0.1
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/accordion-menu
*/

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).DS.'helper.php';

// load CSS
JHTML::stylesheet('styles.css', 'modules/mod_accmenu/css/');

// load JavaScript
$document = JFactory::getDocument();
$document->addScript("modules/mod_accmenu/js/functions.js");	
$document->addScript("media/system/js/mootools-more.js");

// get item list of selected menu
$list	= modAccMenuHelper::getList($params);

$app	= JFactory::getApplication();
$menu	= $app->getMenu();
$active	= $menu->getActive();
$active_id = isset($active) ? $active->id : $menu->getDefault()->id;
$path	= isset($active) ? $active->tree : array();
$showAll	= true;

// if ecist some list, load layout for menu
if(count($list)) {
	require JModuleHelper::getLayoutPath('mod_accmenu', $params->get('layout', 'default'));
}