<?php
/**
* @author   Vasatko
* @version  0.1
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/accordion-menu
*/

// No direct access.
defined('_JEXEC') or die;?>

<dl class="accmenu">
	<?foreach ($list as $i => &$item){?>
		
		<dt id="accmenu_toggler_<?=$item->id?>" class="accmenu_toggler_<?=$item->level?> <?=($item->id == $active_id)?' current':''?>"><?
			switch ($item->type) :
				case 'separator':
				case 'url':
				case 'component':
					require JModuleHelper::getLayoutPath('mod_accmenu', 'default_'.$item->type);
					break;
				default:
					require JModuleHelper::getLayoutPath('mod_accmenu', 'default_url');
					break;
			endswitch;
		?><?=($item->deeper)?'<span class="accmenu_plus"></span>':''?></dt>
		<dd id="accmenu_content_<?=$item->id?>" class="accmenu_content_<?=$item->level?>">
		
		<?if ($item->deeper) {?>
			<dl>
		<?}else if($item->shallower){?>
			</dd>
			<?=str_repeat('</dl></dd>', $item->level_diff)?>
		<?}else{?>
			</dd>
		<?}?>
	<?}?>
</dl>
